Skip to main content
POST
/
api
/
v2
/
savings
Create savings account
curl --request POST \
  --url https://sandbox.killb.app/api/v2/savings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "acceptedTermsAndConditions": true
}
'
{
  "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "userId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "status": "PENDING",
  "createdAt": "2026-04-23T00:38:08.439Z",
  "updatedAt": "2026-04-23T00:38:08.439Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
userId
string<UUID>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

acceptedTermsAndConditions
boolean
required

Accept terms and conditions

Example:

true

Response

id
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

userId
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

status
enum<string>
required
Available options:
PENDING,
COMPLETED,
REJECTED
Example:

"PENDING"

createdAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"

updatedAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"